--------------------------------------------------------------------------------
-- Weapon Medikit Drop
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.medikitdrop={}

-- Load & Prepare Ressources
cc.medikitdrop.gfx_wpn=loadgfx("weapons/medikitdrop.png")								-- Weapon Image
setmidhandle(cc.medikitdrop.gfx_wpn)
cc.medikitdrop.sfx_attack=loadsfx("supplyincoming.ogg")


--------------------------------------------------------------------------------
-- Weapon: Medikit Drop
--------------------------------------------------------------------------------

cc.medikitdrop.id=addweapon("cc.medikitdrop","Medikit Drop",cc.medikitdrop.gfx_wpn,0)	-- Add Weapon (0 uses)

function cc.medikitdrop.draw()															-- Draw
	-- HUD Positioning
	hudpositioning(pos_invisible)
end

function cc.medikitdrop.attack(attack)													-- Attack
	if (weapon_position==1) and (weapon_shots==0) then
		weapon_position=0
		weapon_shots=weapon_shots+1
		-- Create and Scroll
		createobject(o_medikit,weapon_x,-150)
		scroll(weapon_x,0)
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		-- SFX
		playsound(cc.medikitdrop.sfx_attack)
	end
end