--------------------------------------------------------------------------------
-- Weapon No Wind
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.nowind={}

-- Load & Prepare Ressources
cc.nowind.gfx_wpn=loadgfx("weapons/nowind.png")							-- Weapon Image
setmidhandle(cc.nowind.gfx_wpn)
cc.nowind.sfx_fadeout=loadsfx("windfadeout.ogg")

--------------------------------------------------------------------------------
-- Weapon: No Wind
--------------------------------------------------------------------------------

cc.nowind.id=addweapon("cc.nowind","No Wind",cc.nowind.gfx_wpn,0)		-- Add Weapon (0 uses)

function cc.nowind.draw()												-- Draw
	-- Do nothing!
end

function cc.nowind.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- No Wind
			playsound(cc.nowind.sfx_fadeout)
			wind(0.0)
		end
	end
end