--------------------------------------------------------------------------------
-- Weapon Supply Order
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.supplyorder={}

-- Load & Prepare Ressources
cc.supplyorder.gfx_wpn=loadgfx("weapons/supplyorder.png")								-- Weapon Image
setmidhandle(cc.supplyorder.gfx_wpn)
cc.supplyorder.sfx_attack=loadsfx("supplyincoming.ogg")


--------------------------------------------------------------------------------
-- Weapon: Supply Order
--------------------------------------------------------------------------------

cc.supplyorder.id=addweapon("cc.supplyorder","Supply Order",cc.supplyorder.gfx_wpn,0)	-- Add Weapon (0 uses)

function cc.supplyorder.draw()															-- Draw
	-- HUD Positioning
	hudpositioning(pos_invisible)
end

function cc.supplyorder.attack(attack)													-- Attack
	if (weapon_position==1) and (weapon_shots==0) then
		weapon_position=0
		weapon_shots=weapon_shots+1
		-- Create and Scroll
		for i=-100,100,50 do
			createobject(o_supply,weapon_x+i,-150)
		end
		scroll(weapon_x,0)
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		-- SFX
		playsound(cc.supplyorder.sfx_attack)
	end
end