--------------------------------------------------------------------------------
-- Weapon Bridge Part
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.bridgepart={}

-- Load & Prepare Ressources
cc.bridgepart.gfx_wpn=loadgfx("buildings/bridgepart.bmp")							-- Weapon Image
setmidhandle(cc.bridgepart.gfx_wpn)
cc.bridgepart.sfx_build=loadsfx("buildwood.ogg")									-- Build Sound

--------------------------------------------------------------------------------
-- Weapon: Bridge Part
--------------------------------------------------------------------------------

cc.bridgepart.id=addweapon("cc.bridgepart","Bridge Part",cc.bridgepart.gfx_wpn,5)	-- Add Weapon (5 uses)

function cc.bridgepart.draw()														-- Draw
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_build,cc.bridgepart.gfx_wpn)
	end
end

function cc.bridgepart.attack(attack)												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- Draw
		terrainimage(cc.bridgepart.gfx_wpn,weapon_x,weapon_y)
		-- Sound
		playsound(cc.bridgepart.sfx_build)
	end
end