--------------------------------------------------------------------------------
-- Weapon Fart
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.fart={}

-- Load & Prepare Ressources
cc.fart.gfx_wpn=loadgfx("weapons/fart.png")						-- Weapon Image
setmidhandle(cc.fart.gfx_wpn)
cc.fart.sfx_fart=loadsfx("fart.wav")							-- Fart

--------------------------------------------------------------------------------
-- Weapon: fart
--------------------------------------------------------------------------------

cc.fart.id=addweapon("cc.fart","Fart",cc.fart.gfx_wpn,0)		-- Add Weapon (0 uses)

function cc.fart.draw()											-- Draw
	-- Do nothing!
end

function cc.fart.attack(attack)									-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Effect
			playsound(cc.fart.sfx_fart)
			for i=1,10,1 do
				particle(p_smoke,getplayerx(0)-getplayerdirection(0)*math.random(2,5),getplayery(0)+4)
				particlespeed(getplayerdirection(0)*math.random(5,15)*(-0.1),math.random(-2,2)*0.1)
				particlealpha(1.0)
				particlecolor(0,255,0)
				particlesize(10,10)
				particlefadealpha(0.015)
			end
			-- Poison Players
			players=playertable()
			for i=1,#players,1 do
				if getplayerhealth(players[i])>0 and players[i]~=playercurrent() then
					if math.abs(getplayery(players[i])-getplayery(0))<=25 then
						if math.abs(getplayerx(players[i])-getplayerx(0))<=80 then
							if ((getplayerx(players[i])>getplayerx(0)) and getplayerdirection(0)==-1) or ((getplayerx(players[i])<getplayerx(0)) and getplayerdirection(0)==1) then
								playerstate(players[i],state_poisoned,1)
							end
						end
					end
				end
			end
			-- End Turn
			endturn()
		end
	end
end