--------------------------------------------------------------------------------
-- Weapon Napalm
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.napalm={}
cc.napalm.cluster={}

-- Load & Prepare Ressources
cc.napalm.gfx_wpn=loadgfx("weapons/rc.bmp")								-- Weapon Image
setmidhandle(cc.napalm.gfx_wpn)
cc.napalm.gfx_icon=loadgfx("weapons/napalm.png")						-- Weapon Icon
setmidhandle(cc.napalm.gfx_icon)
cc.napalm.sfx_attack=loadsfx("airstrike.ogg")							-- Attack Sound

--------------------------------------------------------------------------------
-- Weapon: Napalm
--------------------------------------------------------------------------------

cc.napalm.id=addweapon("cc.napalm","Napalm",cc.napalm.gfx_icon,1,2)		-- Add Weapon (1 use, first in round 2)

function cc.napalm.draw()												-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(cc.napalm.gfx_wpn,7,0)
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
end

function cc.napalm.attack(attack)										-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		-- No more weapon switching!
		useweapon(0)
		playsound(cc.napalm.sfx_attack)
		weapon_shots=weapon_shots+1
		-- Attack
		for i=-3,3,1 do
			createobject(o_fire,weapon_x+i*17,-100)
		end
		-- End Turn
		endturn()
	end
end